# Uses of Interface
org.opensaml.saml.saml2.metadata.AffiliationDescriptor

Packages that use AffiliationDescriptor
Package
Description
org.opensaml.saml.saml2.metadata
Concrete definitions of the objects described in saml-metadata-2.0-os work.
org.opensaml.saml.saml2.metadata.impl
Concrete implementations of SAML 2.0 metadata objects.

## Uses of AffiliationDescriptor in org.opensaml.saml.saml2.metadata

Methods in org.opensaml.saml.saml2.metadata that return AffiliationDescriptor
Modifier and Type
Method
Description
`AffiliationDescriptor`
EntityDescriptor.`getAffiliationDescriptor()`
Gets the affiliation descriptor for this entity.
Methods in org.opensaml.saml.saml2.metadata with parameters of type AffiliationDescriptor
Modifier and Type
Method
Description
`void`
EntityDescriptor.`setAffiliationDescriptor(AffiliationDescriptor descriptor)`
Sets the affiliation descriptor for this entity.

## Uses of AffiliationDescriptor in org.opensaml.saml.saml2.metadata.impl

Classes in org.opensaml.saml.saml2.metadata.impl that implement AffiliationDescriptor
Modifier and Type
Class
Description
`class`
`AffiliationDescriptorImpl`
Concrete implementation of `AffiliationDescriptor`.
Fields in org.opensaml.saml.saml2.metadata.impl declared as AffiliationDescriptor
Modifier and Type
Field
Description
`private AffiliationDescriptor`
EntityDescriptorImpl.`affiliationDescriptor`
Affiliatition descriptor for this entity.
Methods in org.opensaml.saml.saml2.metadata.impl that return AffiliationDescriptor
Modifier and Type
Method
Description
`AffiliationDescriptor`
AffiliationDescriptorBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`AffiliationDescriptor`
AffiliationDescriptorBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`AffiliationDescriptor`
EntityDescriptorImpl.`getAffiliationDescriptor()`
Gets the affiliation descriptor for this entity.
Methods in org.opensaml.saml.saml2.metadata.impl with parameters of type AffiliationDescriptor
Modifier and Type
Method
Description
`void`
EntityDescriptorImpl.`setAffiliationDescriptor(AffiliationDescriptor descriptor)`
Sets the affiliation descriptor for this entity.